Bug 230237 - devel/ioncube: add flavors
Summary: devel/ioncube: add flavors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-31 12:45 UTC by Jonas Palm
Modified: 2018-08-30 13:06 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (svyatoslav.lempert)


Attachments
Patch for devel/ioncube/Makefile to add flavor support (672 bytes, patch)
2018-07-31 12:45 UTC, Jonas Palm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Palm 2018-07-31 12:45:09 UTC
Created attachment 195688 [details]
Patch for devel/ioncube/Makefile to add flavor support

Please add flavors to the devel/ioncube package so that it can be build with different php versions.
Comment 1 Jonas Palm 2018-08-07 11:43:18 UTC
I'm using this patch for almost two weeks now without any issues with php56 and php71.

Maintainer feedback please :)
Comment 2 Jonas Palm 2018-08-30 12:17:43 UTC
It's been a month now..
Comment 3 commit-hook freebsd_committer 2018-08-30 13:06:57 UTC
A commit references this bug:

Author: tobik
Date: Thu Aug 30 13:06:46 UTC 2018
New revision: 478445
URL: https://svnweb.freebsd.org/changeset/ports/478445

Log:
  Flavorize devel/ioncube

  PR:		230237
  Submitted by:	Jonas Palm <jonaspalm@posteo.de>
  Approved by:	svyatoslav.lempert@gmail.com (maintainer timeout, 1 month)

Changes:
  head/devel/ioncube/Makefile